%define name pdftohtml
%define rversion 0_31
%define version 0.31
%define release 6mdk
%define url http://www.ra.informatik.uni-stuttgart.de/~gosho/pdftohtml/

Summary: %{name} - A PDF to HTML converter.
Name: %{name}
Version: %{version}
Release: %{release}
Url: %{url}
Source0: %{url}/Download/%{name}_%{rversion}_test.tar.bz2
Patch0:	%name-dirname.patch.bz2
License: GPL
Group: Text tools
BuildRoot: %_tmppath/%name-%version-%release-root

%description
PDFTOHTML converts Portable Document Format (PDF) files to HTML
format. This release converts text and links. Bold and italic face are
preserved, but high level HTML structures ( like lists or tables ) are
not yet generated. Images are ignored ( but you can extract them from
the PDF file using pdfimages, distributed with the Xpdf package )
. The current version is tested on Linux and Solaris 2.6

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}_%{rversion}

%patch0 -p1

%build
%make


%install
rm -rf $RPM_BUILD_ROOT
P=$RPM_BUILD_ROOT/%{_prefix}

sed "s|PDFTOHTMLBIN_DIR=\$HOME/pdftohtml_0_31|PDFTOHTMLBIN_DIR=%{_bindir}|" < pdftohtml > pdftohtml.tmp

mv pdftohtml.tmp pdftohtml

mkdir -p $P/bin/
install -m755 -s pdftops.bin $P/bin/
install -m755 -s %{name}.bin $P/bin/
install -m755 %{name} $P/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_bindir}/pdftops.bin

%changelog
* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-6mdk
- rebuild

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-5mdk
- patch0: fixes dirname in pdftohml ( suggested by Bob Kimble )

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-4mdk
- fixes from Maxim Heijndijk <cchq@wanadoo.nl> :
	- Fixed path of PDFTOHTMLBIN_DIR
	- Added pdftops.bin

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-3mdk
- rebuild

* Wed May 16 2001 David BAUDENS <baudens@mandrakesoft.com> 0.31-2mdk
- Use %%_tmppath for BuildRoot

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- updated to 0.31

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.30-1mdk
- updated to 0.30
- BM
- macros

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.20-2mdk
- fix group
- fix permission on sources

* Sun Feb  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.20-1mdk
- First packaging.

